Bug 22318 - Some characters are displayed as squares in gscan2pdf
Summary: Some characters are displayed as squares in gscan2pdf
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: mga6-64-ok
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-01-04 18:10 CET by papoteur
Modified: 2018-01-11 20:37 CET (History)
2 users (show)

See Also:
Source RPM: gscan2pdf
CVE:
Status comment:


Attachments

Description papoteur 2018-01-04 18:10:58 CET
Description of problem:

In French,
The window to save the document displays:
Mots-clés
Métadonnées du document.
Characters "é" are replaced with squares.
Version-Release number of selected component (if applicable):
gscan2pdf-1.8.2-1.mga6
Comment 1 papoteur 2018-01-04 18:12:34 CET
David submitted release
gscan2pdf-1.8.2-1.1.mga6

which works fine for me in Mageia 6 64 bits.
papoteur 2018-01-04 18:13:25 CET

Assignee: bugsquad => geiger.david68210

Comment 2 David GEIGER 2018-01-04 18:31:05 CET
Assigning to QA,


Advisory:
=============================

Some users reported that our current gscan2pdf package does not
displays properly some others accented characters due to an UTF-8 issue
(e.g. for French users), so this update fixes this issue.

Upstream bug reference:
https://sourceforge.net/p/gscan2pdf/bugs/230/

=============================


Packages in 6/core/updates_testing:
========================
gscan2pdf-1.8.2-1.1.mga6.noarch.rpm

Source RPM: 
========================
gscan2pdf-1.8.2-1.1.mga5.src.rpm

Assignee: geiger.david68210 => qa-bugs

Comment 3 claire robinson 2018-01-05 03:31:34 CET
Adding 64bit OK from papoteur's test

Whiteboard: (none) => mga6-64-ok

Comment 4 Thomas Andrews 2018-01-10 16:21:38 CET
Still looks good in English, too.

Confirming the 64-bit OK.

CC: (none) => andrewsfarm

Lewis Smith 2018-01-11 10:20:02 CET

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 5 Mageia Robot 2018-01-11 20:37:32 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0013.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.